<div id="interkassaSecretKey" data-url="{$router->getAdminUrl('userAct')}" data-default-title="{t('-Все типы оплат-')}">
   {include file=$field->getOriginalTemplate()} 
</div>

<script type="text/javascript">
   $.allReady(function() {
       var aj;
       
       /**
       * Назначаем действие на текстовое поле с id кассы, если будет введен текст, 
       * то шлём запрос на сервер, чтобы он нам вернул нам доступные пути оплаты через интеркассу
       *
       */
       $("#interkassaSecretKey input[name='data[secret_key]']").off('keyup').on('keyup',function(){
           
           var val    = $(this).val();
           var select = $("select[name='data[ik_pw_via]']");
           
           
           if (val.length<16){ //Если символов не хватаем в списке будет пункт "Все"
              select.empty().append('<option value="0">'+ $("#interkassaSecretKey").data('defaultTitle')+'</option>'); 
           }else{ //Если есть ключ пробуем запросить пути оплаты для данной кассы
              if (typeof(aj)=='object'){
                 aj.abort(); 
              }  
              aj = $.ajaxQuery({
                  type     : "POST",
                  url      : $("#interkassaSecretKey").data('url'),
                  data     : {
                      'userAct'     : 'staticGetPaywaysByCheckoutID',
                      'paymentObj'  : 'interkassa',
                      'module'      : 'interkassa',
                      'params'      :{
                          'checkout_id' : $(".formbox input[name='data[ik_co_id]']").val(),
                          'secret_key'  : val
                      }
                  },
                  dataType : "json",
                  success  : function(responce){
                     select.empty();
                     
                     if (responce['data']['list'].length>0){
                        //Добавим возможные значения
                        $(responce['data']['list']).each(function(i){
                           select.append('<option value="'+responce['data']['list'][i]['key']+'">'+responce['data']['list'][i]['value']+'</option>'); 
                        });  
                        
                     }
                     
                  }
              });
              
           }
       });
   });
</script>